MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions

# src/dirvec.h File Reference

`#include <stddef.h>`

Go to the source code of this file.

## Data Structures
struct | dirvec
## Functions
void | dirvec_init (void)
void | dirvec_deinit (void)
void | dirvec_sort (struct dirvec *dv)
struct directory * | dirvec_find (const struct dirvec *dv, const char *path)
int | dirvec_delete (struct dirvec *dv, struct directory *del)
void | dirvec_add (struct dirvec *dv, struct directory *add)
static void | dirvec_clear (struct dirvec *dv)
void | dirvec_destroy (struct dirvec *dv)
int | dirvec_for_each (const struct dirvec *dv, int(*fn)(struct directory *, void *), void *arg)

## Function Documentation

void dirvec_add | ( | struct dirvec * | dv,
|  | struct directory * | add
| ) |  |

static void dirvec_clear | ( | struct dirvec * | dv | ) | `[inline, static]`

Definition at line 43 of file dirvec.h.

void dirvec_deinit | ( | void |  | ) |

int dirvec_delete | ( | struct dirvec * | dv,
|  | struct directory * | del
| ) |  |

void dirvec_destroy | ( | struct dirvec * | dv | ) |

struct directory* dirvec_find | ( | const struct dirvec * | dv,
|  | const char * | path
| ) |  | `[read]`

int dirvec_for_each | ( | const struct dirvec * | dv,
|  | int(*)(struct directory *, void *) | fn,
|  | void * | arg
| ) |  |

void dirvec_init | ( | void |  | ) |

void dirvec_sort | ( | struct dirvec * | dv | ) |